Package bitel.billing.server.admin.resource.bean

# Class ResourceUse

java.lang.Object
ru.bitel.common.model.ContractId
bitel.billing.server.admin.resource.bean.ResourceUse

All Implemented Interfaces:
  `ContractIdable`

Direct Known Subclasses:
  `NumberResourceUse`

public class ResourceUse extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceUse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractComment()`
  `String`
  `getContractTitle()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getResourceId()`
  `void`
  `setContractComment(String contractComment)`
  `ResourceUse`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setResourceId(int resourceId)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceUse

    public ResourceUse()

- ## Method Details

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### setContractId

    public ResourceUse setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getResourceId

    public int getResourceId()

  - ### setResourceId

    public void setResourceId(int resourceId)